## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

POST

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/mass-payments

/{id}
cURL

```bash
POST https://api-sandbox.dwolla.com/mass-payments/692486f8-29f6-4516-a6a5-c69fd2ce854c
Accept: application/vnd.dwolla.v1.hal+json
Content-Type: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY

{
  "status": "pending"
}
```

```javascript
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var massPaymentUrl =
  "https://api-sandbox.dwolla.com/mass-payments/692486f8-29f6-4516-a6a5-c69fd2ce854c";
var requestBody = {
  status: "pending",
};

dwolla.post(massPaymentUrl, requestBody).then((res) => res.body.status); // => "pending"
```

```python
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
mass_payment_url = 'https://api-sandbox.dwolla.com/mass-payments/692486f8-29f6-4516-a6a5-c69fd2ce854c'
request_body = {
  'status': 'pending'
}

mass_payments = app_token.post('mass-payments', request_body)
mass_payments.body['status'] # => 'pending'
```

```
/**
 *  No example for this language yet. Coming soon.
 **/
```

```ruby
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
mass_payment_url = 'https://api-sandbox.dwolla.com/mass-payments/692486f8-29f6-4516-a6a5-c69fd2ce854c'
request_body = {
      "status" => "pending",
}

mass_payment = app_token.post "#{mass_payment_url}", request_body
mass_payment.status # => "pending"
```

**Response Codes**  
200  
400  
403  
404

```json
{
  "_links": {},
  "id": "11ac4051-7b76-44fc-87ab-ae23012393f0",
  "status": "complete",
  "created": "2022-01-20T17:41:41.000Z",
  "metaData": {},
  "total": {
    "value": "5.00",
    "currency": "USD"
  },
  "totalFees": {
    "value": "5.00",
    "currency": "USD"
  },
  "correlationId": "CID-8a2cdc8d-629d-4a24-98ac-40b735229fe2"
}
```

```json
{
  "code": "BadRequest",
  "message": "The request body contains bad syntax or is incomplete."
}
```

```json
{
  "code": "Forbidden",
  "message": "Not authorized to update mass payment"
}
```

```json
{
  "code": "NotFound",
  "message": "Mass payment not found"
}
```

#### Authorizations

Authorization  
string  
header  
required  
The access token received from the authorization server in the OAuth 2.0 flow.

#### Headers

Accept  
enum<string>  
default:application/vnd.dwolla.v1.hal+json  
required  
The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:
`application/vnd.dwolla.v1.hal+json`

#### Path Parameters

id  
string  
required  
ID of mass payment to update

#### Body

application/json
Parameters for updating a mass payment

status  
string  
required  
Example:
`"pending"`

#### Response

200  
application/vnd.dwolla.v1.hal+json  
successful operation
